r115 - builds/debian_unstable/default__gtk_textui_oss builds/debian_unstable/gtk_textui_alsa_zrtp builds/debian_unstable/gtk_textui_oss_smartcard regression_tests/bin
erik at minisip.org
erik at minisip.org
Tue May 22 13:45:07 CEST 2007
Author: erik
Date: 2007-05-22 13:45:06 +0200 (Tue, 22 May 2007)
New Revision: 115
Modified:
builds/debian_unstable/default__gtk_textui_oss/build.sh
builds/debian_unstable/gtk_textui_alsa_zrtp/build.sh
builds/debian_unstable/gtk_textui_oss_smartcard/build.sh
regression_tests/bin/regression_test.sh
Log:
* The auto builds and regression testing takes quite some time
now. This makes compilation take less time up by using "ccache".
Modified: builds/debian_unstable/default__gtk_textui_oss/build.sh
===================================================================
--- builds/debian_unstable/default__gtk_textui_oss/build.sh 2007-05-22 11:09:11 UTC (rev 114)
+++ builds/debian_unstable/default__gtk_textui_oss/build.sh 2007-05-22 11:45:06 UTC (rev 115)
@@ -4,6 +4,10 @@
BASE=`pwd`
PREFIX=${BASE}/usr
REV=$1
+
+#Faster compiles, but requires ccache
+export CXX="ccache g++"
+
export PKG_CONFIG_PATH=${PREFIX}/lib/pkgconfig
export ACLOCAL_FLAGS="-I ${PREFIX}/share/aclocal"
mkdir -p ${PREFIX}/share/aclocal
Modified: builds/debian_unstable/gtk_textui_alsa_zrtp/build.sh
===================================================================
--- builds/debian_unstable/gtk_textui_alsa_zrtp/build.sh 2007-05-22 11:09:11 UTC (rev 114)
+++ builds/debian_unstable/gtk_textui_alsa_zrtp/build.sh 2007-05-22 11:45:06 UTC (rev 115)
@@ -4,8 +4,13 @@
BASE=`pwd`
PREFIX=${BASE}/usr
REV=$1
+
+#Faster compiles, but requires ccache
+export CXX="ccache g++"
+
export PKG_CONFIG_PATH=${PREFIX}/lib/pkgconfig
export ACLOCAL_FLAGS="-I ${PREFIX}/share/aclocal"
+
mkdir -p ${PREFIX}/share/aclocal
svn co -r $REV svn://svn.minisip.org/minisip/trunk || { echo "ERROR Could not download source" >&2 && exit 1 ; }
Modified: builds/debian_unstable/gtk_textui_oss_smartcard/build.sh
===================================================================
--- builds/debian_unstable/gtk_textui_oss_smartcard/build.sh 2007-05-22 11:09:11 UTC (rev 114)
+++ builds/debian_unstable/gtk_textui_oss_smartcard/build.sh 2007-05-22 11:45:06 UTC (rev 115)
@@ -4,9 +4,14 @@
BASE=`pwd`
PREFIX=${BASE}/usr
REV=$1
+
+#Faster compiles, but requires ccache
+export CXX="ccache g++"
+
export PKG_CONFIG_PATH=${PREFIX}/lib/pkgconfig
export ACLOCAL_FLAGS="-I ${PREFIX}/share/aclocal"
export CPPFLAGS="$CPPFLAGS -I /usr/local/PCSC"
+
mkdir -p ${PREFIX}/share/aclocal
svn co -r $REV svn://svn.minisip.org/minisip/trunk || { echo "ERROR Could not download source" >&2 && exit 1 ; }
Modified: regression_tests/bin/regression_test.sh
===================================================================
--- regression_tests/bin/regression_test.sh 2007-05-22 11:09:11 UTC (rev 114)
+++ regression_tests/bin/regression_test.sh 2007-05-22 11:45:06 UTC (rev 115)
@@ -6,6 +6,11 @@
BASE=`pwd`
PREFIX=${BASE}/usr
REV=$1
+
+#Faster compiles, but requires ccache
+export CXX="ccache g++"
+
+
export PKG_CONFIG_PATH=${PREFIX}/lib/pkgconfig
export ACLOCAL_FLAGS="-I ${PREFIX}/share/aclocal"
mkdir -p ${PREFIX}/share/aclocal
More information about the Minisip-devel
mailing list